Infra APIVms
Mount a storage folder onto a running VM
POST
/api/v1/vms/{vm_id}/workspaceAttaches an existing storage folder to an already-running VM using a reduced, archive-free workspace setup. Idempotent under retry.
Authorization
BearerAuth AuthorizationBearer <token>
Hydra JWT Bearer token
In: header
Path Parameters
vm_id*string
VM ID
Request Body
application/json
Folder and template to mount
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/vms/string/workspace" \ -H "Content-Type: application/json" \ -d '{}'{ "folder_id": "string", "vm_id": "string", "workspace_path": "string", "workspace_warning": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}